#ifndef FILE_LOADER_ITEM_CODE_H
#define FILE_LOADER_ITEM_CODE_H

#include "factory_item.h"

namespace cbk
{
	namespace factory
	{	
		template<class paramType, class nameType>
		inline const nameType& Item<paramType, nameType>::getName(void) const
		{
			return name;
		}
		
		template<class paramType, class nameType>
		inline Item<paramType, nameType>& Item<paramType, nameType>::setName(const nameType& name)
		{
			this->name = name;
			return *this;
		}

		template<class paramType, class nameType>
		Item<paramType, nameType>::Item(const nameType& name = "", paramType param = paramType())
		{
			this->name = name;
		}
	}
}

#endif //FILE_LOADER_ITEM_CODE_H